Package org.springframework.cloud.task.batch.configuration

# Class TaskJobLauncherAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.configuration.TaskJobLauncherAutoConfiguration

@Configuration(proxyBeanMethods=false) @Conditional(JobLaunchCondition.class) @EnableConfigurationProperties(TaskBatchProperties.class) @AutoConfigureBefore(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) public class TaskJobLauncherAutoConfiguration extends Object
Provides auto configuration for the `TaskJobLauncherApplicationRunner`.

Author:
  Glenn Renfro

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskJobLauncherAutoConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskJobLauncherApplicationRunnerFactoryBean`
  `taskJobLauncherApplicationRunner(org.springframework.batch.core.launch.JobLauncher jobLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, List<org.springframework.batch.core.Job> jobs, org.springframework.batch.core.configuration.JobRegistry jobRegistry, org.springframework.batch.core.repository.JobRepository jobRepository, org.springframework.boot.autoconfigure.batch.BatchProperties batchProperties)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskJobLauncherAutoConfiguration

    public TaskJobLauncherAutoConfiguration()

- ## Method Details

  - ### taskJobLauncherApplicationRunner

    @Bean @ConditionalOnClass(name="org.springframework.boot.autoconfigure.batch.JobLauncherApplicationRunner") public TaskJobLauncherApplicationRunnerFactoryBean taskJobLauncherApplicationRunner(org.springframework.batch.core.launch.JobLauncher jobLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, List<org.springframework.batch.core.Job> jobs, org.springframework.batch.core.configuration.JobRegistry jobRegistry, org.springframework.batch.core.repository.JobRepository jobRepository, org.springframework.boot.autoconfigure.batch.BatchProperties batchProperties)